libgpod4-0.8.3-alt6.i586.rpm


Advertisement

Description

libgpod4 - iPod access library

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libgpod4-0.8.3-alt6.i586.rpm
Package name libgpod4
Package version 0.8.3
Package release alt6
Package architecture i586
Package type rpm
Category Sound
Homepage -
License -
Maintainer -
Download size 680.15 KB
Installed size 680.15 KB
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

Alternatives

Package Version Architecture Repository
libgpod4-0.8.3-alt6.x86_64.rpm 0.8.3 x86_64 Classic
libgpod4 - - -

Requires

Name Value
/lib/ld-linux.so.2 -
/lib/udev/rules.d -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libgdk_pixbuf-2.0.so.0 -
libglib-2.0.so.0 -
libgmodule-2.0.so.0 -
libgobject-2.0.so.0 -
libimobiledevice.so.6 -
libm.so.6(GLIBC_2.1) -
libplist.so.3 -
libpthread.so.0(GLIBC_2.0) -
libsgutils.so.1 -
libsqlite3.so.0 -
libusb-1.0.so.0 -
libxml2.so.2 -
libxml2.so.2(LIBXML2_2.4.30) -
libxml2.so.2(LIBXML2_2.6.0) -
libz.so.1 -
libz.so.1(ZLIB_1.2.0) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libgpod = 0.8.3-alt6
libgpod.so.4 -
libgpod4 = 0.8.3-alt6

Obsoletes

Name Value
libgpod < 0.7

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libgpod4-0.8.3-alt6.i586.rpm
Source Package libgpod4-0.8.3-alt6.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libgpod4 rpm package:
    # sudo apt-get install libgpod4

Files

Path
/lib/udev/iphone-set-info
/lib/udev/ipod-set-info
/lib/udev/rules.d/90-libgpod.rules
/usr/bin/ipod-read-sysinfo-extended
/usr/lib/libgpod.so.4
/usr/lib/libgpod.so.4.3.2
/usr/share/locale/de/LC_MESSAGES/libgpod.mo
/usr/share/locale/es/LC_MESSAGES/libgpod.mo
/usr/share/locale/fr/LC_MESSAGES/libgpod.mo
/usr/share/locale/he/LC_MESSAGES/libgpod.mo
/usr/share/locale/it/LC_MESSAGES/libgpod.mo
/usr/share/locale/ja/LC_MESSAGES/libgpod.mo
/usr/share/locale/ro/LC_MESSAGES/libgpod.mo
/usr/share/locale/sv/LC_MESSAGES/libgpod.mo
/usr/share/locale/zh_CN/LC_MESSAGES/libgpod.mo

Changelog

2017-07-20 - Sergey Bolshakov <sbolshakov@altlinux.ru> 0.8.3-alt6
- rebuilt without mono
2015-07-20 - Yuri N. Sedunov <aris@altlinux.org> 0.8.3-alt5
- fixed build with newer swig
2015-02-23 - Yuri N. Sedunov <aris@altlinux.org> 0.8.3-alt4
- rebuilt against libimobiledevice.so.6
2014-10-15 - Yuri N. Sedunov <aris@altlinux.org> 0.8.3-alt3
- rebuilt against libimobiledevice.so.5/libplist.so.3
2014-06-20 - Yuri N. Sedunov <aris@altlinux.org> 0.8.3-alt2
- rebuilt against libplist.so.2
2014-01-20 - Yuri N. Sedunov <aris@altlinux.org> 0.8.3-alt1
- 0.8.3
2013-04-11 - Yuri N. Sedunov <aris@altlinux.org> 0.8.2-alt3
- rebuilt against libimobiledevice.so.4
2012-10-02 - Alexey Shabalin <shaba@altlinux.ru> 0.8.2-alt2
- upstream snapshot
- add patches for fix deprecated functions
2012-04-09 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.8.2-alt1.3
- Rebuilt with libplist-1.8
2012-04-06 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.8.2-alt1.2
- Removed -Werror compiler flag

See Also

Package Description
libgps-devel-3.19-alt2.i586.rpm Development files for libgps
libgps25-3.19-alt2.i586.rpm Client libraries in C and Python for talking to a running gpsd or GPS
libgpsim-0.31.0-alt2.i586.rpm Main library for gpsim
libgpsim-devel-0.31.0-alt2.i586.rpm Headers for developing programs that will use libgpsim
libgrammarcommon5-19.08.1-alt1.i586.rpm KF5 library
libgranite-5.2.5-alt1.i586.rpm Extension of GTK+3 libraries
libgranite-devel-5.2.5-alt1.i586.rpm Extension of GTK+ libraries (development files)
libgranite-gir-5.2.5-alt1.i586.rpm GObject introspection data for the granite library
libgrantlee-0.5.1-alt1.i586.rpm Qt string template engine based on the Django template system
libgrantlee_templates5-5.1.0-alt4.i586.rpm grantlee5 library
libgrantlee_textdocument5-5.1.0-alt4.i586.rpm grantlee5 library
libgrantleethemeeditor5-19.08.1-alt1.i586.rpm kde5-grantlee-editor library
libgraphene-1.10.0-alt1.i586.rpm Graphene is a library of data types commonly used to implement 2D-in-3D or full 3D canvases
libgraphene-devel-1.10.0-alt1.i586.rpm Development libraries and header files for Graphene
libgraphene-gir-1.10.0-alt1.i586.rpm GObject introspection data for the Graphene library
Advertisement
Advertisement